Package org.openoffice.da.comp.w2lcommon.filter

# Class ByteArrayXStream

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.ByteArrayXStream

All Implemented Interfaces:
  `com.sun.star.io.XInputStream`, `com.sun.star.io.XOutputStream`, `com.sun.star.io.XSeekable`, `com.sun.star.io.XStream`, `com.sun.star.uno.XInterface`

public class ByteArrayXStream extends Object implements com.sun.star.io.XInputStream, com.sun.star.io.XOutputStream, com.sun.star.io.XSeekable, com.sun.star.io.XStream

This is a java-uno adapter class which implements XStream using a byte array. (We need this because XGraphicProvider demans read/write access when storing a graphic to a stream.)

## Field Summary

### Fields inherited from interface com.sun.star.io.XInputStream

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.io.XOutputStream

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.io.XSeekable

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.io.XStream

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`ByteArrayXStream()`

## Method Summary

Modifier and Type
Method
Description
`int`
`available()`
`void`
`closeInput()`
`void`
`closeOutput()`
`void`
`flush()`
`byte[]`
`getBuffer()`
`com.sun.star.io.XInputStream`
`getInputStream()`
`long`
`getLength()`
`com.sun.star.io.XOutputStream`
`getOutputStream()`
`long`
`getPosition()`
`int`
`readBytes(byte[][] values, int param)`
`int`
`readSomeBytes(byte[][] values, int param)`
`void`
`seek(long param)`
`void`
`skipBytes(int param)`
`void`
`writeBytes(byte[] values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteArrayXStream

public ByteArrayXStream()

## Method Details

### closeOutput

public void closeOutput() throws com.sun.star.io.NotConnectedException, com.sun.star.io.BufferSizeExceededException, com.sun.star.io.IOException

Specified by:
  `closeOutput` in interface `com.sun.star.io.XOutputStream`
Throws:
  `com.sun.star.io.NotConnectedException`
  `com.sun.star.io.BufferSizeExceededException`
  `com.sun.star.io.IOException`

### flush

public void flush() throws com.sun.star.io.NotConnectedException, com.sun.star.io.BufferSizeExceededException, com.sun.star.io.IOException

Specified by:
  `flush` in interface `com.sun.star.io.XOutputStream`
Throws:
  `com.sun.star.io.NotConnectedException`
  `com.sun.star.io.BufferSizeExceededException`
  `com.sun.star.io.IOException`

### writeBytes

public void writeBytes(byte[] values) throws com.sun.star.io.NotConnectedException, com.sun.star.io.BufferSizeExceededException, com.sun.star.io.IOException

Specified by:
  `writeBytes` in interface `com.sun.star.io.XOutputStream`
Throws:
  `com.sun.star.io.NotConnectedException`
  `com.sun.star.io.BufferSizeExceededException`
  `com.sun.star.io.IOException`

### available

public int available() throws com.sun.star.io.NotConnectedException, com.sun.star.io.IOException

Specified by:
  `available` in interface `com.sun.star.io.XInputStream`
Throws:
  `com.sun.star.io.NotConnectedException`
  `com.sun.star.io.IOException`

### closeInput

public void closeInput() throws com.sun.star.io.NotConnectedException, com.sun.star.io.IOException

Specified by:
  `closeInput` in interface `com.sun.star.io.XInputStream`
Throws:
  `com.sun.star.io.NotConnectedException`
  `com.sun.star.io.IOException`

### readBytes

public int readBytes(byte[][] values, int param) throws com.sun.star.io.NotConnectedException, com.sun.star.io.BufferSizeExceededException, com.sun.star.io.IOException

Specified by:
  `readBytes` in interface `com.sun.star.io.XInputStream`
Throws:
  `com.sun.star.io.NotConnectedException`
  `com.sun.star.io.BufferSizeExceededException`
  `com.sun.star.io.IOException`

### readSomeBytes

public int readSomeBytes(byte[][] values, int param) throws com.sun.star.io.NotConnectedException, com.sun.star.io.BufferSizeExceededException, com.sun.star.io.IOException

Specified by:
  `readSomeBytes` in interface `com.sun.star.io.XInputStream`
Throws:
  `com.sun.star.io.NotConnectedException`
  `com.sun.star.io.BufferSizeExceededException`
  `com.sun.star.io.IOException`

### skipBytes

public void skipBytes(int param) throws com.sun.star.io.NotConnectedException, com.sun.star.io.BufferSizeExceededException, com.sun.star.io.IOException

Specified by:
  `skipBytes` in interface `com.sun.star.io.XInputStream`
Throws:
  `com.sun.star.io.NotConnectedException`
  `com.sun.star.io.BufferSizeExceededException`
  `com.sun.star.io.IOException`

### getLength

public long getLength() throws com.sun.star.io.IOException

Specified by:
  `getLength` in interface `com.sun.star.io.XSeekable`
Throws:
  `com.sun.star.io.IOException`

### getPosition

public long getPosition() throws com.sun.star.io.IOException

Specified by:
  `getPosition` in interface `com.sun.star.io.XSeekable`
Throws:
  `com.sun.star.io.IOException`

### seek

public void seek(long param) throws com.sun.star.lang.IllegalArgumentException, com.sun.star.io.IOException

Specified by:
  `seek` in interface `com.sun.star.io.XSeekable`
Throws:
  `com.sun.star.lang.IllegalArgumentException`
  `com.sun.star.io.IOException`

### getInputStream

public com.sun.star.io.XInputStream getInputStream()

Specified by:
  `getInputStream` in interface `com.sun.star.io.XStream`

### getOutputStream

public com.sun.star.io.XOutputStream getOutputStream()

Specified by:
  `getOutputStream` in interface `com.sun.star.io.XStream`

### getBuffer

public byte[] getBuffer()